Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.i18n
Class IBeansMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.module.ibeans.i18n.IBeansMessages

    public class IBeansMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`IBeansMessages()`

Method Summary
`static Message` | `ibeanMethodFoundButNotValid(String ibeanName, String methodName)`
`static Message` | `ibeanMethodNotFound(String ibeanName, String methodName)`
`static Message` | `ibeanMethodNotFound(String ibeanName, String methodName, Class[] parameters)`
`static Message` | `ibeanMethodParametersDoNotMatch(String iBeanName, String methodName, Class[] eventParams, Class[] methodParams)`
`static Message` | `ibeanNotRegistered(String ibeanName)`
`static Message` | `illegalCallMethod(Method method)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IBeansMessages

    public IBeansMessages()

Method Detail

### ibeanNotRegistered

    public static Message ibeanNotRegistered(String ibeanName)

### ibeanMethodFoundButNotValid

    public static Message ibeanMethodFoundButNotValid(String ibeanName,
                                                      String methodName)

### ibeanMethodNotFound

    public static Message ibeanMethodNotFound(String ibeanName,
                                              String methodName)

### ibeanMethodNotFound

    public static Message ibeanMethodNotFound(String ibeanName,
                                              String methodName,
                                              Class[] parameters)

### ibeanMethodParametersDoNotMatch

    public static Message ibeanMethodParametersDoNotMatch(String iBeanName,
                                                          String methodName,
                                                          Class[] eventParams,
                                                          Class[] methodParams)

### illegalCallMethod

    public static Message illegalCallMethod(Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.